# Generated from utf8_converter-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name utf8_converter

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: A gem to force the convertion of text in any encoding into UTF8 without crashing and doing the best guess convertion
License: MIT
URL: https://github.com/newint33h/utf8_converter.git
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
This gem attempts to convert the received text to UTF8. It works by trying to
convert the given text with a list of possible common encodings. This is
useful if the developer knows the most common encodings that the application
is going to be receiving, leaving the guessing work to this gem and by safely
converting (without crash) the received text.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/utf8_converter.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.1-1
- Initial package
